curl --request GET \
--url https://shelfforce.ai/api/v1/orders/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"orderNumber": "<string>",
"status": "draft",
"orderDate": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"sku": "<string>",
"name": "<string>",
"quantity": 123,
"inventoryId": "<string>",
"unitPrice": 123,
"taxPercent": 123,
"taxAmount": 123,
"totalPrice": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"supplierName": "<string>",
"customerName": "<string>",
"accountId": "<string>",
"storeId": "<string>",
"expectedDeliveryDate": "2023-11-07T05:31:56Z",
"actualDeliveryDate": "2023-11-07T05:31:56Z",
"subtotal": 123,
"taxLabel": "<string>",
"taxRate": 123,
"tax": 123,
"total": 123,
"currency": "<string>",
"notes": "<string>",
"sourceType": "manual",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Retrieves full details for an order including line items.
curl --request GET \
--url https://shelfforce.ai/api/v1/orders/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"orderNumber": "<string>",
"status": "draft",
"orderDate": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"sku": "<string>",
"name": "<string>",
"quantity": 123,
"inventoryId": "<string>",
"unitPrice": 123,
"taxPercent": 123,
"taxAmount": 123,
"totalPrice": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"supplierName": "<string>",
"customerName": "<string>",
"accountId": "<string>",
"storeId": "<string>",
"expectedDeliveryDate": "2023-11-07T05:31:56Z",
"actualDeliveryDate": "2023-11-07T05:31:56Z",
"subtotal": 123,
"taxLabel": "<string>",
"taxRate": 123,
"tax": 123,
"total": 123,
"currency": "<string>",
"notes": "<string>",
"sourceType": "manual",
"updatedAt": "2023-11-07T05:31:56Z"
}
}